Skip to main content
POST
/
specifications
/
{id}
/
metrics
Link metrics to specification
curl --request POST \
  --url https://api.galtea.ai/specifications/{id}/metrics \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "metricIds": [
    "metric_123",
    "metric_456"
  ]
}
'
{
  "error": "Error type",
  "message": "Error message description"
}

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Path Parameters

id
string
required

Specification ID

Body

application/json
metricIds
string[]
required

Array of metric IDs to link

Example:
["metric_123", "metric_456"]

Response

Metrics linked successfully